@ECHO OFF

IF "%1"=="HILFE" GOTO Hilfe
IF "%1"=="hilfe" GOTO Hilfe

REM  Prfen, ob das Installationsprogramm existiert
IF NOT EXIST INST.EXE GOTO DateiFehlt

REM  Mit der Installation beginnen
REM  Installationsprogramm aufrufen

INST.EXE FDIR_Install

IF ERRORLEVEL 128 GOTO Hilfe
IF ERRORLEVEL   1 GOTO Fehler

REM  Installation ohne Fehler - Nun das Archiv entpacken
CLS
IF NOT EXIST !FDIR23.EXE GOTO ArchivFehler
ECHO.
ECHO  Entpacke nun das Archiv !FDIR23.EXE...
ECHO.
!FDIR23.EXE
REM  Archiv wird nicht mehr bentigt, also lschen...
DEL !FDIR23.EXE

CLS
ECHO.
ECHO  Starte nun die Demo von FDIR V2.3
ECHO.
ECHO  Bitte eine Taste drcken, um die Demo zu starten.
PAUSE >NUL:
DEMO.BAT
GOTO InstallEnde


:ArchivFehler
CLS
ECHO.
ECHO  FDIR V2.3 Installationsprogramm Hinweis:
ECHO.
ECHO  Das Archiv !FDIR23.EXE fehlt !!
ECHO  FDIR V2.3 kann nicht korrekt installiert werden.
ECHO.
ECHO  Ist FDIR V2.3 vieleicht bereits komplett installiert ??
ECHO  Wenn ja, dann befindet sich die Benutzeranleitung FDIR.TXT in diesem Directory.
ECHO.
ECHO  Bitte probieren Sie FDIR V2.3 mit den Hinweisen, die gleich nach einem
ECHO  Tastendruck angezeigt werden, zu installieren...
ECHO.
ECHO  Bei weiteren Problemen wenden Sie sich bitte an den Autor.
ECHO.
PAUSE >NUL:
GOTO Fehler


:DateiFehlt
CLS
ECHO.
ECHO  FDIR V2.3 Installationsprogramm Hinweis:
ECHO.
ECHO  Kann die Datei INST.EXE nicht finden.
ECHO  INST.EXE mu sich im gleichen Verzeichnis wie INSTALL.BAT befinden.
ECHO.
ECHO  Sollten Sie das Installationsprogramm nicht von der Diskette aus gestartet
ECHO  haben, dann starten Sie das Installationsprogramm bitte von der Diskette...
ECHO.
ECHO  Bei anderen Problemen bitte INSTALL HILFE (HILFE in Grobuchstaben) aufrufen.
ECHO  Nun erscheinen die Anweisungen fr eine manuelle Installation.
ECHO.
ECHO  Bitte den Fehler beheben und erneut versuchen.
ECHO.
GOTO InstallEnde


:Hilfe
REM  Die Fehler und Hilfe-Meldung sind gleich...

:Fehler
CLS
ECHO.
ECHO  FDIR V2.3 Installationsprogramm Hinweis:
ECHO.
ECHO  FEHLER BEI DER INSTALLATION !!
ECHO.
ECHO  Bei Problemen bitte folgendermasen vorgehen:
ECHO    1. Ein Sub-Directory anlegen (z.B. MD C:\FDIR).
ECHO    2. Mit C: [Enter] und CD FDIR [Enter] in dieses Directory wechseln.
ECHO    3. Nun alle Dateien mit COPY A:\*.* in dieses Directory kopieren.
ECHO    4. !FDIR23.EXE aufrufen und mit "Y" fr Ja den Entpackvorgang starten.
ECHO    5. Mit DEL !FDIR23.EXE das Archiv lschen.
ECHO    6. Mit DEL INST*.* das Installationsprogramm lschen.
ECHO    7. Das war's - Auf zum Start von FDIR - Am besten mit DEMO.BAT...
ECHO.
ECHO  Am besten mit PATH=C:\FDIR; einen Pfad auf FDIR legen.
ECHO  Dadurch kann FDIR von jedem beliebigen Directory aus aufgerufen werden.
ECHO.
ECHO.
ECHO  Nun viel Spa mit FDIR V2.3 . . .
ECHO.
ECHO  Bei weiteren Problemen wenden Sie sich bitte an den Autor.
ECHO.
GOTO InstallEnde

:InstallEnde
